#
# spec file for package most
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define bugfix  24
Name:           most
Version:        pre5.1
Release:        2.1
Summary:        File viewer and pager
License:        GPL-2.0
Group:          Productivity/Text/Utilities
URL:            https://www.jedsoft.org/most/
Source:         https://www.jedsoft.org/snapshots/%{name}-%{version}-%{bugfix}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  slang-devel

%description
Most is a paging program.
It supports multiple windows and can scroll left and right.

%prep
%setup -q -n %{name}-%{version}-%{bugfix}

%build
%configure --prefix=%{_prefix}
make %{?_smp_mflags}

%install
%make_install
rm -rf "%{buildroot}%{_datadir}/doc"

%files
%license COPYING
%doc README changes.txt doc/{lesskeys.rc,most-fun.txt,most.rc}
%{_bindir}/%{name}
%{_mandir}/man1/most.1*

%changelog
* Fri Jan  4 2019 jengelh@inai.de
- Trim description to openSUSE relevant parts.
* Sun Dec 23 2018 sogal@opensuse.org
- Do not package uneeded files in src doc directory
- Make description neutral
* Sun Dec 23 2018 sogal@opensuse.org
- Update to pre5.1-24
* Fri Mar 30 2018 sogal@volted.net
- Fix release number, use bugfix version instead
- Added previous openSUSE changes
* Fri Mar 30 2018 sogal@volted.net
- Upgrade to 5.1 prerelease
  * Search improvment
  * Fix wrapping of colorized lines
  * Update configure script
  * Fix double-width characters diplay issue
  * Add support for Home/End keys
* Wed Feb 25 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Clean dependencies
- Update urls
- Add gpg key
* Tue Jun  7 2011 pascal.bleser@opensuse.org
- initial version (5.0.0a)
